.clickable {
cursor:pointer;	
}

.chat_header_background {
	background-color:#333333;
}

.chat_header_text {
	color:#ffffff;
}

#chat_data {
	display:none;
	width:380px;
	width:80px;
	margin:0 auto;
	max-width:90%;
	overflow:auto;
	position:fixed;
	bottom:0px;
	right:20px;
	z-index:10011;
	
}

#chat_data {
	border:0px solid #676767;
    overflow: hidden;
	-webkit-border-top-left-radius: 4px;
-webkit-border-top-right-radius: 4px;
-moz-border-radius-topleft: 4px;
-moz-border-radius-topright: 4px;
border-top-left-radius: 4px;
border-top-right-radius: 4px;
}

#chat_input_field,
#div_chat {
	display:none;
}

#div_chat {
	display:none;
	width:100%;
	xmax-width:500px;
	xheight:300px;
	border: 1px #676767;
	border-style:none solid solid solid;
	overflow:auto;
	padding-bottom:10px;
	position:relative;
	max-height:45vh;
	  width: 100%;
    height: 100%;
    overflow-y: scroll;
    padding-right: 17px; /* Increase/decrease this value for cross-browser compatibility */
    box-sizing: border-box; /* So the width will be 100% + 17px */
	background-color:#ffffff;
}


#div_chat,
#chat_input_field {
	font-size:16px;
}

.chat_minimized {
	padding-bottom:0;
	
}

.chat_begin_spacer {
	border:none;
	background:none;
	width:50%;
	height:44vh;
}

#chat_input_field {
height:50px;
border: 1px #676767;
border-style:  none solid solid solid ;
color:#333333;
background-color:#ffffff;
}

#chat_input_field textarea:focus, input:focus{
    outline: none;
}


.chat_message_wrapper {
	max-width:75%;
	margin-top:2px;
}

.chat_message {
	margin:0;
	padding:2px 6px;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	border-radius: 8px;
	word-break:break-word;
	line-height: 22px;
}

.me {
	float:right;
	margin-left:2px;
}

.not_me {
	float:left;
	margin-right:2px;
}

.me .chat_message {
	margin-right:4px;
	border-style: solid solid solid none;
	border-style: solid;
	border:1px #555555;
	background-color:#eff9ff;
	background-color:#2999fc;
	color:#ffffff;
}


.not_me  .chat_message {
	margin-left:4px;
	border-style: solid none solid solid;
	border-style: solid;
	border:1px #555555;
	background-color:#dddddd;
	background-color:#dddddd;
	color:#333333;
}

.not_me .name,
.not_me .chat_time {
	text-align:left;
}

.me .name,
.me .time {
	text-align:right;
}

.name,
.time {
	font-size:.8em;
	color:#aaaaaa;
}

.not_me .name,
.me .name {
xdisplay:none;	
}
.new_message {
	xdisplay:none;
}

.new_message.me{
  animation: animateElement_me linear .3s;
  animation-iteration-count: 1;
 }

.new_message.not_me{
  animation: animateElement_not_me linear .3s;
  animation-iteration-count: 1;
 }

.password_input {
    text-security: disc;
    -webkit-text-security: disc;
    -moz-text-security: disc;
	background-color:#333333 !important;
	color:#ffffff !important;
}
 
@keyframes animateElement_me{
  0% {
    opacity:0;
    transform:  translate(-5px,0px);
  }
  100% {
    opacity:1;
    transform:  translate(0px,0px);
  }
}

@keyframes animateElement_not_me{
  0% {
    opacity:0;
    transform:  translate(5px,0px);
  }
  100% {
    opacity:1;
    transform:  translate(0px,0px);
  }
}

/* header */
.chatbox_title {
    border-bottom: none;
}

.chatbox_title {
    min-height: 40px;
    padding-right: 10px;
    cursor: pointer;
    display: -webkit-flex;
    display: flex;

    -webkit-align-items: center;
    align-items: center;
}

.chatbox_title_name {
	/* in child style */
	font-size:1.5em;
    height: auto;
    margin: 0 0 0 0;
    line-height: 40px;
    position: relative;
    padding-left: 20px;

    -webkit-flex-grow: 1;
    flex-grow: 1;
}

.chatbox_title_min {
	    padding-top: 6px;
		margin-right:12px;
}

.chatbox_title_min,
.chatbox_title_close {
	display:none;
    width: 24px;
    height: 24px;
    outline: 0;
    border: none;
    background-color: transparent;
    cursor: pointer;

    -webkit-transition: opacity 200ms;
    transition: opacity 200ms;
}


.chat_header {
	cursor:pointer;
    border: 0px solid #000000;
    /* in child style */
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;

}

.top_radius {
	-webkit-border-top-left-radius: 6px;
-webkit-border-top-right-radius: 6px;
-moz-border-radius-topleft: 6px;
-moz-border-radius-topright: 6px;
border-top-left-radius: 6px;
border-top-right-radius: 6px;
}

.chat_header .fa-comments-o {
	/* color:#333333; */
	padding-top:4px;
}

.chat_header i {
	/* color:#333333; */
	font-size:1.5em;
}



/********* Subscribe on pages *********/
.subscribe_container {
	width:100%;
	min-width:200px;
	max-width:800px;
	text-align:center;
	margin:0 auto;
}

.subscribe_form {
	border:4px double #333333;
	padding:10px;
	margin: 10px 0;
	display:none;
}

.subscribe_instructions {
	font-size:.8em;

}

.subscribe_instructions {
	text-align:center;
	margin-top:6px;
}

.subscribe_method label {
	margin-bottom:0;
}

.subscribe_method {
	text-align:left;
	margin:10px 0;
}

.subscribe_trigger {
	background-color:#2999fc;
	width:auto;
	margin:0 auto;
width: fit-content;
color:#ffffff;
    font-size: 1.1em;

}

.btn {
padding: 4px 8px;
-webkit-border-radius: 4px;
-moz-border-radius: 4px;
border-radius: 4px;
cursor:pointer;
}

.subscribe_response {
	color:#000000;
	font-weight:bold;
	margin-top: 6px;
	text-align:left;
	margin:6px 0;
}

.sms_disclaimer {
	font-size:.75em;
}

.subscribe_container input {
	color:#333333 !important;
}

.ve_msg {
	border: 4px double #000000;
    margin: 10px auto;
    padding: 10px;
    font-weight: bold;
	max-width:90%;
    color: #64b245;
    text-align: center;
	font-size:1.5rem;
}

.last_msg_msg {
   font-family: monospace;
    background: #e2e2e2;
    box-shadow: 1px 1px 1px #333333 inset;
	padding:5px;
	text-align:left;
}

.new_message_submit {
}

.new_message_submit,
.subscribe_on_page_submit {
	width:100%;
	margin-top:10px;
	background-color: #64b245;
	color:#ffffff;
	padding: 8px 8px;
    font-size: 1.2em;

}

.send_new_message {
	margin:20px 0;
}

.send_container {
	margin:10px 0 0 0;
}

.subscribe_problem {
	color:#d40000;
}

.subscribe_good {
	color:#64b245;
}

.send_instructions {
	margin-bottom:10px;
	text-align:left;
}
.send_instructions ul{
	list-style-position: outside;
}

.send_container .authorized_only {
	font-weight:bold;
	border: 4px #333333;
    border-style: double none;
}
/*
     FILE ARCHIVED ON 17:52:02 Dec 08, 2021 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 13:38:24 Mar 01, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.639
  exclusion.robots: 0.019
  exclusion.robots.policy: 0.007
  esindex: 0.012
  cdx.remote: 6.161
  LoadShardBlock: 168.51 (3)
  PetaboxLoader3.datanode: 162.218 (5)
  PetaboxLoader3.resolve: 508.086 (3)
  load_resource: 538.548
  loaddict: 51.572
*/